<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="true">
	<parameter name="UserName" type="java.lang.Object"/>
	<statement>
		<query>
			<select distinct="true" group="true">
				<column alias="User" heading="Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					name
				</column>
				<column alias="User" heading="Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
					thePersistInfo.theObjectIdentifier.id
				</column>
				<column alias="Context" heading="Context Name (name)" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					containerInfo.name
				</column>
			</select>
			<from>
				<table alias="User" isExternal="false">
					wt.org.WTUser
				</table>
				<table alias="Context" isExternal="false" outerJoinAlias="User">
					wt.inf.container.WTContainer
				</table>
			</from>
			<where>
				<compositeCondition type="and">
					<condition>
						<operand>
							<column alias="User" heading="Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
								name
							</column>
						</operand>
						<operator type="equal"/>
						<operand>
							<parameterTarget name="UserName"/>
						</operand>
					</condition>
				</compositeCondition>
			</where>
			<orderBy>
				<orderByItem type="asc">
					<columnTarget heading="Name"/>
				</orderByItem>
			</orderBy>
			<linkJoin>
				<join name="wt.inf.team.MyPageQueryable">
					<aliasTarget alias="Context"/>
					<aliasTarget alias="User"/>
				</join>
			</linkJoin>
		</query>
	</statement>
</qml>
